<template>
    <div id="app">
        <div class="back_btn"></div>
        <FamilyMember v-if="showComponent" @refshHome="refshHome" />
    </div>
</template>
<script>
import FamilyMember from './components/FamilyMember.vue'

export default{
    components:{
        FamilyMember
    },
    data() {
        return {
            showComponent:true
        }
    },
    methods: {
        refshHome(data){
            if(data =='1'){
                this.showComponent = false
                this.$nextTick(()=>{
                    this.showComponent = true
                })
            }
        },
        goBackToIndex() {
            this.$router.push(
                { path: '/customer/family' }
            )
        }
    },
}
</script>
<style lang="scss" scoped>
#app{
    background-color: rgb(219,228,241);
    margin-top: -130px;
    min-height: 100vh;
}
</style>